> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/remove-rasconnectionbroker.md).

# Remove-RASConnectionBroker

## NAME

Remove-RASConnectionBroker

## SYNOPSIS

Removes a RAS Connection Broker server from a site.

## SYNTAX

**Remove-RASConnectionBroker** \[[Id](#id-string)] *(uint)* \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#commonparameters-string)*)*] \*\*

**Remove-RASConnectionBroker** \[[Id](#id-string)] *(uint)* -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#commonparameters-string)*)*] \*\*

**Remove-RASConnectionBroker** \[-[InputObject](#inputobject)] *(*[*ConnectionBroker*](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/connectionbroker.md)*)* \[-[NoUninstall](#NoUninstall) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*] \*\*

**Remove-RASConnectionBroker** \[-[InputObject](#inputobject)] *(*[*ConnectionBroker*](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/connectionbroker.md)*)* -[Password](#Password) *(SecureString)* -[Username](#Username) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*] \*\*

**Remove-RASConnectionBroker** \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[NoUninstall](#nouninstall-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#commonparameters-string)*)*] \*\*

**Remove-RASConnectionBroker** \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#commonparameters-string)*)*] \*\*

## DESCRIPTION

Modifies a RAS Connection Broker server 'Marked for Deletion'.

the RAS Connection Broker is removed once the Invoke-Apply command is called.

## PARAMETERS

## Server (string)

FQDN or IP address of the RAS Connection Broker server to remove.

This must be the actual server name used in the farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the RAS Connection Broker server.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a RAS Connection Broker to remove.

To obtain the ID, use the command to Get-RASBroker.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NoUninstall (SwitchParameter)

Include this parameter if you wish to keep the RAS Connection Broker software on the server.

To uninstall the agent software, omit this parameter.

When uninstalling the agent, your RAS admin credentials will be used by default.

You can specify different credentials by including the Username and Password parameters.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Username (string)

A username that will be used to remotely uninstall the RAS Connection Broker software from the target server.

If this parameter is omitted, your RAS admin username and password will be used by default.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

The password of the account specified in the Username parameter.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([ConnectionBroker](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/connectionbroker.md))

An object of type Broker representing the RAS Connection Broker you wish to remove.

To obtain the object, use the Get-RASBroker cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[ConnectionBroker](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/types/connectionbroker.md)

## OUTPUTS

-none-

**---------- EXAMPLE 1 ----------**

Remove-RASConnectionBroker "server.company.dom"

Removes the specified RAS Connection Broker server from the Licensing Server Site.

To remove the server from a specific site, include the -SiteId parameter.

## RELATED LINKS

* [New-RASConnectionBroker](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/new-rasconnectionbroker.md)
* [Get-RASConnectionBroker](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/get-rasconnectionbroker.md)
* [Set-RASConnectionBroker](/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/set-rasconnectionbroker.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v21/parallels-ras-powershell-admin-module/commands/remove-rasconnectionbroker.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
